% Calibration of the 2011 model

% Contact rate: We set alpha such that the standard deviation of end-of-day 
% distribution of balances in the model is close to the standard deviation of 
% end-of-day distribution of balances normalized by required operating balances in the data. 

%% STEP 1: Calculate the SD of end-of-day balances/RoB (data)
load data_2011_goodbanks % Loads data
sqrt(var(mean_data_2011_no_grubbs_outliers(:,11))) % Calculate the standard deviation of end-of-day distribution of  balances normalized by required operating balances = 0.9249 (data)

%% STEP 2: Run tonight_2011_real_08102013

%% STEP 3: Load variables: load simulationXXX

%% STEP 4: Calculate SD of end-of-day distribution of balances (model), proportion of intermediated funds, mean/median number of counterparties
sqrt(var(M_end))        % SD of end-of-day distribution of balances (model)
market_i                % proportion of intermediated funds
mean(Counterparties)    % Average number of counterparties
median(Counterparties)  % Median number of counterparties

%% STEP 5: Is SD of model end-of-day distribution of balances close to SD of data end-of-day distribution of  balances normalized by required operating balances?
% If Yes, STOP - We have alpha. Go to Step 6.
% If No, adjust alpha and go back to Step 2.
