% Figure 1.

% Data
load simulation_2007_real
load data_2007_goodbanks %%% Master file that contains master data: data_2007

cad=['16:00';'16:15';'16:30';'16:45';'17:00';'17:15';'17:30';'17:45';'18:00';'18:15';'18:30'];

% Figure 1a
HH=figure(1);
TRADES_time(TRADES_time==0)=0/0;
salto=round(Slice_number/10);
auxi=TRADES_time([1:salto:Slice_number Slice_number],:);
boxplot(auxi','symbol','')     % Plots the boxplot. x denotes outliners
m_mean=zeros(1,11);
for i=1:10
    auxi2= auxi(i,1:L_TRADES_time(1+(i-1)*salto));
    m_mean(i)=mean(auxi2(auxi2>0));               % Calculates the mean
end
auxi3= auxi(11,1:L_TRADES_time(Slice_number));
m_mean(11)=mean(auxi3(auxi3>0));
hold on
plot(1:11,m_mean,'go','MarkerFaceColor','g')      % Plots the mean. MarkerFaceColor fills color for closed-shape markers
H1=get(HH,'Children');
set(H1,'fontsize', 15);
ylabel('Loan sizes', 'fontsize', 20)
tickLabelStr = {'16:00','16:15','16:30','16:45','17:00','17:15','17:30','17:45','18:00','18:15','18:30'};   
text_h = findobj(gca, 'Type', 'text');    
    for cnt = 1:length(text_h)
        set(text_h(cnt),'FontSize',12,'String',tickLabelStr{length(tickLabelStr)-cnt+1},'HorizontalAlignment', 'center')
    end
xlabel('Eastern Time', 'fontsize', 20)              % Defines the label of the x-axis
hold off
axis([0.5 10.5 0 20])
print(['boxplot_intraday_loan_sizes_15min_no_outliers_2007_real_15min'],'-depsc2')


% Figure 1b
% Histogram of the number of counterparties
HH=figure(2);
hist(Counterparties,min(Counterparties):max(Counterparties)) % Histogram of # lenders. unique(Counterparties) sets the number of bins.
hold on
valu=hist(Counterparties,min(Counterparties):max(Counterparties));
plot([mean(Counterparties),mean(Counterparties)],[0,1.057*max(valu)],'g','linewidth',1)
plot([median(Counterparties),median(Counterparties)],[0,1.057*max(valu)],'r--','linewidth',1)
hold off
H1=get(HH,'Children');
aux=get(H1(1),'YTick');
set(H1,'fontsize', 15);
set(H1(1),'YTickLabel',num2str(aux'/H))
ylabel('Proportion of banks', 'fontsize', 20)
set(H1(1), 'XTick', min(Counterparties):2:max(Counterparties))
xlabel('Number of counterparties', 'fontsize', 20)
print(['histogram_counterparties_2007_real'],'-depsc2')

% Figure 1c
figure(3)
HH=plot(360*RHO_market_FF,'.','MarkerSize',20);
H1=get(HH(1),'parent');
axis([0 Slice_number min(360*RHO_market_FF)*0.6 max(360*RHO_market_FF)*1.4])
set(H1,'fontsize', 15);
set(H1, 'XTick', 0:Slice_number/5:Slice_number)
set(H1,'XTickLabel',cad)
aux=get(H1,'YTick');
aux=aux'*100;
set(H1(1),'YTickLabel',num2str(aux))
ylabel('Fed funds rate (%)', 'fontsize', 20)
xlabel('Eastern Time', 'fontsize', 20)
grid
print(['Fed_funds_rate_scatter_plot_FF_2007_real'],'-depsc2')

% Figure 1d
HH=figure(4);
hist(TRADES,min(TRADES):10:max(TRADES)) %%
H1=get(HH,'Children');
aux=[0:AN_TRD(end)/10:AN_TRD(end)];
set(H1,'YTick',aux)
aux=round(aux'/AN_TRD(end)*100)/100;
set(H1(1),'YTickLabel',num2str(aux))
set(H1(1),'XTick', min(TRADES):10:max(TRADES)) %%
set(H1(1),'XTickLabel',min(TRADES):10:max(TRADES)) %%
set(H1,'fontsize', 15);
hold on
valu=hist(TRADES,min(TRADES):10:max(TRADES)); %%
plot([mean(TRADES),mean(TRADES)],[0,1.07*max(valu)],'g','linewidth',1)
plot([median(TRADES),median(TRADES)],[0,1.07*max(valu)],'r--','linewidth',1)
hold off
ylabel('Proportion of loans', 'fontsize', 20)
xlabel('Loan sizes','fontsize', 20)
print(['histogram_trades_sizes_2007_real'],'-depsc2')


% Figure 1e
HH=figure(5);
hist(IntermediatedFunds,30) % Histogram of proportion of intermediated funds
hold on
valu=hist(IntermediatedFunds,30);
plot([mean(IntermediatedFunds),mean(IntermediatedFunds)],[0,max(valu)*1.39],'g','linewidth',1)
plot([median(IntermediatedFunds),median(IntermediatedFunds)],[0,max(valu)*1.39],'r--','linewidth',1)
hold off
H1=get(HH,'Children');
aux=get(H1(1),'YTick');
set(H1,'fontsize', 15);
set(H1(1),'YTickLabel',num2str(aux'/H))
ylabel('Proportion of banks', 'fontsize', 20)
xlabel('Proportion of intermediated funds', 'fontsize', 20)
print(['histogram_intermediated_funds_2007_real'],'-depsc2')


% Figure 1f
HH=figure(6);
RHO_sliced_FF(RHO_sliced_FF==0)=0/0;
salto=round(Slice_number/10);
auxi=360*RHO_sliced_FF([1:salto:Slice_number Slice_number],:)-360*RHO_market_FF([1:salto:Slice_number Slice_number])*ones(1,size(RHO_sliced_FF,2));
boxplot(auxi','symbol','')     % Plots the boxplot. '' denotes no outliners
m_mean=zeros(1,11);
for i=1:10
    m_mean(i) = mean(auxi(i,1:L_RHO_sliced_FF(1+(i-1)*salto)));           % Calculates the mean
end
m_mean(11) = mean(auxi(11,1:L_RHO_sliced_FF(Slice_number))); 
hold on
plot(1:11,m_mean,'go','MarkerFaceColor','g')      % Plots the mean. MarkerFaceColor fills color for closed-shape markers
hold off
H1=get(HH,'Children');
aux=get(H1(1),'YTick');
aux=aux'*100;
set(H1,'fontsize', 15);
set(H1(1),'YTickLabel',num2str(aux(1:end),'%1.3f'))
ylabel('Spreads to market rates (%)', 'fontsize', 20)   % Defines the label of the y-axis
tickLabelStr = {'16:00','16:15','16:30','16:45','17:00','17:15','17:30','17:45','18:00','18:15','18:30'};   
text_h = findobj(gca, 'Type', 'text');    
    for cnt = 1:length(text_h)
        set(text_h(cnt),'FontSize',12,'String',tickLabelStr{length(tickLabelStr)-cnt+1},'HorizontalAlignment', 'center')
    end
xlabel('Eastern Time', 'fontsize', 20)              % Defines the label of the x-axis
print(['boxplot_spreads_FF_15min_no_outliers_2007_real_15min'],'-depsc2')

