clear all
close all

load data_2007_goodbanks %%% Master file that contains master data: data_2007
load simulation_2007_real

HH=figure(1);
boxplot(M_time(:,1:fine_slice_number/10:end)-k_0,'symbol','','colors','r')  % Plots the boxplot. x denotes outliners
hold on
boxplot([round(mean_data_2007(:,1)-2.2) round(mean_data_2007(:,2:end))],'symbol','','colors','b')  % Plots the boxplot. no outliners
plot(1,1,'b',2,2,'r')
H1=get(HH,'Children');
set(H1,'fontsize', 15);
ylabel('Balances', 'fontsize', 20)              % Defines the label of the y-axis
tickLabelStr = {'16:00','16:15','16:30','16:45','17:00','17:15','17:30','17:45','18:00','18:15','18:30'};   
text_h = findobj(gca, 'Type', 'text');    
    for cnt = 1:11%length(text_h)
        set(text_h(cnt),'FontSize',12,'String',tickLabelStr{length(tickLabelStr)-cnt+1},'HorizontalAlignment', 'center')
    end
    for cnt = 12:22%length(text_h)
        set(text_h(cnt),'FontSize',12,'String','','HorizontalAlignment', 'center')
    end
axis([0.5 10.5 -20 20])
xlabel('Eastern Time', 'fontsize', 20)              % Defines the label of the y-axis
hold off
legend('Data','Model',1)
print(['boxplot_balances_15min_model_real_data_2007_adj2_15min'],'-depsc2')


figure(2)
cad=['16:00';'16:30';'17:00';'17:30';'18:00';'18:30'];
HH=plot(1:11,std(mean_data_2007_adj),linspace(1,11,151),std(M_time),'--','linewidth',2);
H1=get(HH(1),'parent');
set(H1,'fontsize', 15);
set(H1, 'XTick', 1:2:11)
set(H1,'XTickLabel',cad)
ylabel('Standard deviation of balances', 'fontsize', 20)
xlabel('Eastern Time', 'fontsize', 20)
legend('Data', 'Calibrated model',1)
grid
axis([1 11 0 25])
print(['Standard_deviation_balances_real_data_2007'],'-depsc2')




