% This program creates tables 4 and 5

clear all
close all

k_bar=1;    % Defines required reserves - it is defined as an increment over the 'zero' level for balances
par_med_MoG=[0.0031 0.077 0.155 0.31 1.55 3.1 4.65];

% Table 4 -- Changes in IOR
interest_required_reserves_fed=[0:0.01:0.06]/360; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=[0:0.01:0.06]/360; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;

rate_FF_exp_Q1_2007=zeros(length(interest_required_reserves_fed),length(par_med_MoG));
for i=1:length(interest_required_reserves_fed)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_exp_Q1_2007(i,j)=simulation_2007(interest_required_reserves_fed(i),interest_excess_balances_fed(i),k_bar,discount_window_rate_fed,par_med_MoG(j),1)
    end
end

% Table 5 -- Changes in DW rate
interest_required_reserves_fed=0; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=[0.0575:0.0025:0.07]/360;

rate_FF_exp_Q2_2007=zeros(length(discount_window_rate_fed),length(par_med_MoG));
for i=1:length(discount_window_rate_fed)
    for j=1:length(par_med_MoG)
         [i,j]
        rate_FF_exp_Q2_2007(i,j)=simulation_2007(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed(i),par_med_MoG(j),1);
    end
end

% save tables_changeQ_2007


