% This program creates tables 1-3

clear
close all

k_bar=1;    % Defines required reserves - it is defined as an increment over the 'zero' level for balances
par_med_MoG=[0.0046 0.02293 0.046 0.2293 0.4586 0.6879 1.3758]; % Table

% Table 1 -- Changes in IOR
interest_required_reserves_fed=[0:0.0025:0.0075]/360; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=[0:0.0025:0.0075]/360; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0075/360;

rate_FF_exp_Q1a=zeros(length(interest_required_reserves_fed),length(par_med_MoG));
for i=1:length(interest_required_reserves_fed)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_exp_Q1a(i,j)=simulation_2011(interest_required_reserves_fed(i),interest_excess_balances_fed(i),k_bar,discount_window_rate_fed,par_med_MoG(j),1);
    end
end


% Table 2 -- Changes in DW rate
interest_required_reserves_fed=0.0025/360; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0.0025/360; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=[0.0025:0.0025:0.015]/360;

rate_FF_exp_Q2a=zeros(length(discount_window_rate_fed),length(par_med_MoG));
for i=1:length(discount_window_rate_fed)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_exp_Q2a(i,j)=simulation_2011(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed(i),par_med_MoG(j),1);
    end
end


% Table 3 -- Changes in IOR in a 25bp corridor
interest_required_reserves_fed=[0:0.0025:0.01]/360; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=[0:0.0025:0.01]/360; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=interest_excess_balances_fed+0.0025/360;

rate_FF_exp_Q4a=zeros(length(interest_required_reserves_fed),length(par_med_MoG));
for i=1:length(interest_required_reserves_fed)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_exp_Q4a(i,j)=simulation_2011(interest_required_reserves_fed(i),interest_excess_balances_fed(i),k_bar,discount_window_rate_fed(i),par_med_MoG(j),1);
    end
end


% save tables_changeQ_2011
