% This files defines variables and creates the 2011 master data file

load data_2011_goodbanks %%% Master file that contains master data: data_2011

num_banks=length(data_2011(:,1))/11; % Number of banks
mean_data_2011=zeros(num_banks,11);
for i=1:num_banks 
    mean_data_2011(i,:)=mean(data_2011(i:num_banks:end,:)); % Calculates average ratio for each bank in the maintenance period from 4pm to 6.30pm every 15 minutes.
end

aaa=sort(mean_data_2011(:,1));
mean_data_2011_nooutliers=aaa(1:end-3);
mean_data_2011_pos_round=round(mean_data_2011(:,1)-1.1*min(mean_data_2011(:,1)));
bbb=sort(mean_data_2011_pos_round(:,1));
mean_data_2011_pos_round_nooutliers=bbb(1:end-3);

GM_mix2=gmdistribution.fit(mean_data_2011_nooutliers,2)

mean_data_2011_no_grubbs_outliers=mean_data_2011([1:12 14:62 64:120 122:end],:); % Removing outliers identified by Grubbs' method -- NOT SORTED!

data_2011_adj=data_2011-2.2; % We substract 1.34 from the initial distribution to set the Q/k_bar=1.0373 (target: 1.04). 

mean_data_2011_adj=zeros(num_banks,11);
for i=1:num_banks 
    mean_data_2011_adj(i,:)=mean(data_2011_adj(i:num_banks:end,:)); % Calculates average ratio for each bank in the maintenance period from 4pm to 6.30pm every 15 minutes.
end

clear i aaa bbb %% Deletes variables we do not want to save
save data_2011_goodbanks % Save everything else in data_2011_goodbanks1.mat

