% Fits the 2007 distribution

load data_2007_goodbanks.mat %%% Master file that contains 2007 master data: data_2007


dfittool
% Fits a normal, logist, t location-scale and generalized extreme value
% distributions.
% To fit a Poisson and Negative Binomial distribution to the data, we create 
% a non-negative and rounded version of the data by subtracting the minimum value 
% (times 1.1 to make sure the new series is strictly positive). Data have been rounded (to 
% obtained a series of integers).


% Fits a mixture of two Gaussian:
GM_mix2=gmdistribution.fit(mean_data_2007(:,1),2)
GM_mix2.NlogL % Negative Log-likelihood

gm_mix2_cdf=cdf(GM_mix2,[min(mean_data_2007(:,1)):max(mean_data_2007(:,1))]');
gm_mix2_pdf=pdf(GM_mix2,[min(mean_data_2007(:,1))-50:max(mean_data_2007(:,1))]');


HH=figure(1);
histnorm(mean_data_2007(:,1),50)
grid
hold on
plot([min(mean_data_2007(:,1))-50:max(mean_data_2007(:,1))]',gm_mix2_pdf,'r','linewidth', 2)
hold off
H1=get(HH,'Children');
set(H1(1),'fontsize', 15);
ylabel('Proportion of banks', 'fontsize', 20)
xlabel('4:00 pm imputed balances/RoB', 'fontsize', 20)
title('2007')
print(['histogram_opening_balances_2007_4pm'],'-depsc2')

% To calculate the mean/standard error/proportion error by Boostrap
[m,sd,prob,ste_m,ste_sd,ste_prob]=stderr_boots(mean_data_2007(:,1),10000)
