% This file creates Figure 6d

clear
close all

interest_required_reserves_fed=0.0025/360;  % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0.0025/360;    % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0075/360;        % Discount window rate (annual rate)
lower_bound=interest_excess_balances_fed*360*100;   % Defines floor on rates
Penalty_w=0;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances
SD_sensitivity=[0.01:0.05:1 1:0.1:4];
par_med_MoG=0.81; % Baseline

rate_FF_SD_sensitivity=zeros(1,length(SD_sensitivity));
for i=1:length(SD_sensitivity)
        [i]
        rate_FF_SD_sensitivity(i)=simulation_SD_2011(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,8,SD_sensitivity(i));
end

% save rate_FF_SD_sensitivity_2011
% load rate_FF_SD_sensitivity_2011

figure(1)
plot(SD_sensitivity,rate_FF_SD_sensitivity*100,'linewidth',4)
hold on
plot([0 SD_sensitivity(end)+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(ceil(SD_sensitivity(end))+0.05,11,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$\bar{\sigma}$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 3 0 100*0.12])
print(['Sensitivity_SD_2011'],'-depsc2')


