% This file creates Figure 6a

clear
close all

load data_2007_goodbanks

interest_required_reserves_fed=0/360;   % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0/360;     % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;    % Discount window rate (annual rate)
Penalty_w=0.04750/360;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;    % Defines required reserves - it is defined as an increment over the 'zero' level for balances

SD_sensitivity=[0.1 0.25 0.5 1 2];
par_med_MoG=[0.00225:0.01:11];          % Poole

% Calculates Q
mu_dist=GM_mix2.mu;
mu1=par_med_MoG*mu_dist(1);
mu2=par_med_MoG*mu_dist(2);

for i=1:length(par_med_MoG)
Q(i)=GM_mix2.PComponents(1)*mu1(i)+GM_mix2.PComponents(2)*mu2(i);
end

rate_FF_Poole_SD_sensitivity=zeros(length(SD_sensitivity),length(par_med_MoG));
for i=1:length(SD_sensitivity)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_Poole_SD_sensitivity(i,j)=simulation_SD_2007(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG(j),8,SD_sensitivity(i));
    end
end

% save rate_FF_SD_Q_sensitivity_2007
% load rate_FF_SD_Q_sensitivity_2007

figure(1)
plot(Q/k_bar,100*rate_FF_Poole_SD_sensitivity(1,:),'c',Q/k_bar,100*rate_FF_Poole_SD_sensitivity(2,:),Q/k_bar,100*rate_FF_Poole_SD_sensitivity(3,:),Q/k_bar,100*rate_FF_Poole_SD_sensitivity(4,:),'m',Q/k_bar,100*rate_FF_Poole_SD_sensitivity(5,:),'k','linewidth',2)
hold on
plot([0 Q(end)/k_bar+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(30+0.5,11,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$Q$/$\bar{k}$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 30 0 100*0.12])
h=legend('$\bar{\sigma}=0.1$','$\bar{\sigma}=0.25$','$\bar{\sigma}=0.5$','$\bar{\sigma}=1$','$\bar{\sigma}=2$','Location',[0.80 0.70 0.00000001 0.00000001]);
set(h,'Interpreter','latex')
print(['Sensitivity_SD_Q_2007'],'-depsc2')