% This file creates Figure 5b

clear
close all

interest_required_reserves_fed=0/360;   % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0/360;     % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;    % Discount window rate (annual rate)
Penalty_w=0.04750/360;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances
alpha_sensitivity=[1:1:500 502:2:996 1000:5:1995 2000:10:3000];
par_med_MoG=0.3223;                     % Baseline simulation

rate_FF_Poole_sensitivity=zeros(1,length(alpha_sensitivity));
for i=1:length(alpha_sensitivity)
        [i]
        rate_FF_Poole_sensitivity(i)=simulation_alpha_2007(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,1,alpha_sensitivity(i));
end

% save sensitivity_alpha_2007_results
% load sensitivity_alpha_2007_results

figure(1)
plot(alpha_sensitivity,rate_FF_Poole_sensitivity*100,'linewidth',4)
hold on
plot([0 alpha_sensitivity(end)+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(3000+70,11,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$\alpha$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 ceil(alpha_sensitivity(end)) 0 100*0.12])
print(['Sensitivity_alpha_2007'],'-depsc2')