% This file creates Figure 5d

clear
close all

interest_required_reserves_fed=0.0025/360;  % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0.0025/360;    % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0075/360;        % Discount window rate (annual rate)
lower_bound=interest_excess_balances_fed*360*100;   % Defines floor on rates
Penalty_w=0;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances
alpha_sensitivity=[0.1:0.1:0.9 1:1:120];
par_med_MoG=0.81; % Baseline

rate_FF_Poole_sensitivity=zeros(1,length(alpha_sensitivity));
for i=1:length(alpha_sensitivity)
        [i]
        rate_FF_Poole_sensitivity(i)=simulation_alpha_2011(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,1,alpha_sensitivity(i));
end

% save sensitivity_alpha_2011_results
% load sensitivity_alpha_2011_results

figure(1)
plot(alpha_sensitivity(10:end),Rate_FF_Poole_sensitivity(10:end)*100,'linewidth',4)
hold on
plot([0 alpha_sensitivity(end)+1],[lower_bound lower_bound],'r--','linewidth', 3)   % Adds the lower bound for rates
plot([0 alpha_sensitivity(end)+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(100+1.5,0.25,'i_f','fontsize',15)
text(100+1.5,0.75,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$\alpha$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 100 0 100*0.008])
print(['Sensitivity_alpha_2011'],'-depsc2')
