% This file creates Figure 5a

clear
close all

load data_2007_goodbanks

interest_required_reserves_fed=0/360;   % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0/360;     % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0625/360;    % Discount window rate (annual rate)
Penalty_w=0.04750/360;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances

alpha_sensitivity=[1 10 50 100 150];
par_med_MoG=[0.00225:0.01:11];          % Poole

% Calculates Q
mu_dist=GM_mix2.mu;
mu1=par_med_MoG*mu_dist(1);
mu2=par_med_MoG*mu_dist(2);

for i=1:length(par_med_MoG)
Q(i)=GM_mix2.PComponents(1)*mu1(i)+GM_mix2.PComponents(2)*mu2(i);
end


rate_FF_Poole_sensitivity=zeros(length(alpha_sensitivity),length(par_med_MoG));
for i=1:length(alpha_sensitivity)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_Poole_sensitivity(i,j)=simulation_alpha_2007(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG(j),1,alpha_sensitivity(i));
    end
end

% save sensitivity_2007_results
% load sensitivity_2007_results

figure(1)
plot(Q/k_bar,100*rate_FF_Poole_sensitivity(1,:),'c',Q/k_bar,100*rate_FF_Poole_sensitivity(2,:),Q/k_bar,100*rate_FF_Poole_sensitivity(3,:),Q/k_bar,100*rate_FF_Poole_sensitivity(4,:),'m',Q/k_bar,100*rate_FF_Poole_sensitivity(5,:),'k','linewidth',2)
hold on
plot([0 Q(end)/k_bar+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(30+0.5,11,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$Q$/$\bar{k}$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 30 0 100*0.12])
legend('\alpha=1','\alpha=10','\alpha=50','\alpha=100','\alpha=150','Location',[0.8 0.7 0.05 0.1])
print(['Sensitivity1_2007'],'-depsc2')