% This file creates Figure 5c

clear
close all

load data_2011_goodbanks

interest_required_reserves_fed=0.0025/360;  % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0.0025/360;    % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0075/360;        % Discount window rate (annual rate)
lower_bound=interest_excess_balances_fed*360*100;   % Defines floor on rates
Penalty_w=0;
upper_bound=(discount_window_rate_fed+Penalty_w)*360*100;       % Defines ceilling on rates

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances

alpha_sensitivity=[1 10 50 100 150];
par_med_MoG=[0.00046:0.005:1.3758]; % Poole

% Calculates Q
mu_dist=GM_mix2.mu;
mu1=par_med_MoG*mu_dist(1);
mu2=par_med_MoG*mu_dist(2);

for i=1:length(par_med_MoG)
Q(i)=GM_mix2.PComponents(1)*mu1(i)+GM_mix2.PComponents(2)*mu2(i);
end


rate_FF_Poole_sensitivity=zeros(length(alpha_sensitivity),length(par_med_MoG));
for i=1:length(alpha_sensitivity)
    for j=1:length(par_med_MoG)
        [i,j]
        rate_FF_Poole_sensitivity(i,j)=simulation_alpha_2011(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG(j),1,alpha_sensitivity(i));
    end
end

% save sensitivity_2011_results
% load sensitivity_2011_results

figure(1)
plot(Q/k_bar,100*Rate_FF_Poole_sensitivity(1,:),'c',Q/k_bar,100*Rate_FF_Poole_sensitivity(2,:),Q/k_bar,100*Rate_FF_Poole_sensitivity(3,:),Q/k_bar,100*Rate_FF_Poole_sensitivity(4,:),'m',Q/k_bar,100*Rate_FF_Poole_sensitivity(5,:),'k','linewidth',2)
hold on
plot([0 Q(end)/k_bar+1],[lower_bound lower_bound],'r--','linewidth', 3)   % Adds the lower bound for rates
plot([0 Q(end)/k_bar+1],[upper_bound upper_bound],'r--','linewidth', 3) % Adds the upper bound for rates
hold off
grid
text(30+0.5,0.25,'i_f','fontsize',15)
text(30+0.5,0.75,'i_f^w+P^w','fontsize',15)
test_string=['\textsf{$Q$/$\bar{k}$}'];
xlabel(test_string,'interpreter','latex','FontName','Helvetica','FontSize',15,'FontUnits','points');
title('Fed funds rate (%)','fontsize', 15)
axis([0 30 0 100*0.01])
legend('\alpha=1','\alpha=10','\alpha=50','\alpha=100','\alpha=150',1)
print(['Sensitivity1_2011'],'-depsc2')