function [m,sd,prob,ste_m,ste_sd,ste_prob]=stderr_boots(x,N)

opt=statset;
opt.Display='off';
opt.MaxIter=1000;
opt.TolFun=1/10^6;
sal=gmdistribution.fit(x,2,'options',opt);

S.mu=sal.mu;
S.Sigma=sal.Sigma;
S.PComponents=sal.PComponents;


[stats,data] = bootstrp(N, @(x)mean(x), x);

for i=1:N
%     tic
i
    sal_bs=gmdistribution.fit(x(data(:,i)),2,'options',opt,'Start',S);
    mu(:,i)=sal_bs.mu;
    stdev(1,i)=sqrt(sal_bs.Sigma(:,:,1));
    stdev(2,i)=sqrt(sal_bs.Sigma(:,:,2));
    comp(:,i)=sal_bs.PComponents';
%     toc
end

m=mean(mu');
ste_m=std(mu');
sd=mean(stdev');
ste_sd=std(stdev');
prob=mean(comp');
ste_prob=std(comp');
