% This files calculates all the variables of interest for the 2011 model
% using  as initial distribution the distribution of balances to RoB 
% estimated by mixture of Gaussians

clear
close all

k_bar=1;                                % Defines required reserves - it is defined as an increment over the 'zero' level for balances

interest_required_reserves_fed=0.0025/360; % Interest on required reserve balances (annual rate)
interest_excess_balances_fed=0.0025/360; % Interest rates on excess balances (annual rate)
discount_window_rate_fed=0.0075/360;

par_med_MoG=0.81; % Multiplicative factor for the change in the mean of the mixture of Gaussian. We select par_med_MoG=0.81 such that total reserves equals Q=17.6682 (17.68 from H.3 Federal Reserve Statistical Release)

[rate_FF_exp Q_exp]=simulation_2011(interest_required_reserves_fed,interest_excess_balances_fed,k_bar,discount_window_rate_fed,par_med_MoG,1);

