% This function calculates the inital distribution m_ini. It takes as
% parameters the number of types K and the paramenters estimated from the mixture 
% of two Gaussians: mean, SD and probabilities.

function [m,vec]=weights_mog(K,K_neg,mu,sigma,prob) % Returs m_ini and the location of the center of the 

vec=-K_neg:K; % Center of the interval

m=zeros(size(vec));

m(1)=prob(1)*normcdf((vec(1)+vec(2))/2,mu(1),sigma(1))+prob(2)*normcdf((vec(1)+vec(2))/2,mu(2),sigma(2)); % First value (from -infinity to first value)

for i=2:length(vec)-1 % p_1*(F_1(b)-F_1(a))+p_2*(F_2(b)-F_2(a))
    m(i)=prob(1)*normcdf((vec(i)+vec(i+1))/2,mu(1),sigma(1))+prob(2)*normcdf((vec(i)+vec(i+1))/2,mu(2),sigma(2))-prob(1)*normcdf((vec(i-1)+vec(i))/2,mu(1),sigma(1))-prob(2)*normcdf((vec(i-1)+vec(i))/2,mu(2),sigma(2));
end

m(end)=1-prob(1)*normcdf((vec(end-1)+vec(end))/2,mu(1),sigma(1))-prob(2)*normcdf((vec(end-1)+vec(end))/2,mu(2),sigma(2)); % Last value (from the last to +infinity)
